package jp.agentec.sinaburocast.common.exception;

/**
 * NetworkExceptionクラス
 *
 * @author tsukada
 *
 */
public class NetworkException extends SystemException {
    private static final long serialVersionUID = -8130142076114195086L;

    private Exception e;

	public NetworkException(String message, String code) {
		super(message, code);
	}

	public NetworkException(Exception e) {
		super(e.getMessage(), "");
		this.e = e;
	}

	public Exception getException() {
		return e;
	}
}
