package jp.agentec.sinaburocast.service;

import java.util.List;

import org.seasar.framework.container.annotation.tiger.Component;
import org.seasar.framework.container.annotation.tiger.InstanceType;

import jp.agentec.sinaburocast.entity.OperationType;

@Component(instance=InstanceType.SINGLETON)
public class OperationTypeService extends AbstractService<OperationType> {

    public OperationType findById(Integer operationTypeId) {
        return select().id(operationTypeId).getSingleResult();
    }

    public List<OperationType> findAllOrderById() {
        return select().orderBy("operationTypeId asc").getResultList();
    }
}