package jp.agentec.sinaburocast.service;

import javax.annotation.Resource;

import junit.framework.TestSuite;

import org.junit.After;
import org.junit.AfterClass;
import org.junit.Before;
import org.junit.BeforeClass;
import org.seasar.dao.unit.S2DaoTestCase;

public class DeliveryGroupMemberServiceTest extends S2DaoTestCase {

	@Resource
	private DeliveryGroupMemberService deliveryGroupMemberService;

	public DeliveryGroupMemberServiceTest(String string) {
		super(string);
	}

	public static TestSuite suite() {
		TestSuite suite = new TestSuite("DeliveryGroupMemberServiceTest");
		suite.addTest(new DeliveryGroupMemberServiceTest("findById"));
		suite.addTest(new DeliveryGroupMemberServiceTest("findBymemberId"));
		suite.addTest(new DeliveryGroupMemberServiceTest("findAllOrderById"));
		suite.addTest(new DeliveryGroupMemberServiceTest("findBymemberIdList"));
		suite.addTest(new DeliveryGroupMemberServiceTest("findAllOrderByIdAll"));
		suite.addTest(new DeliveryGroupMemberServiceTest("findAllOrderByIdAllList"));
		return suite;
	}


	/**
	 * @throws java.lang.Exception
	 */
	@BeforeClass
	public static void setUpBeforeClass() throws Exception {
	}

	/**
	 * @throws java.lang.Exception
	 */
	@AfterClass
	public static void tearDownAfterClass() throws Exception {
	}

	/**
	 * @throws java.lang.Exception
	 */
	@Before
	public void setUp() throws Exception {
        include("app.dicon");
	}

	/**
	 * @throws java.lang.Exception
	 */
	@After
	public void tearDown() throws Exception {
	}

	public void findBymemberIdList() {
		System.out.println(deliveryGroupMemberService.findBymemberIdList(1));
	}

	public void findAllOrderByIdAll() {
		System.out.println(deliveryGroupMemberService.findAllOrderByIdAll(1));
	}

	public void findAllOrderByIdAllList() {
		System.out.println(deliveryGroupMemberService.findAllOrderByIdAllList(1, null));
	}

}
