package jp.agentec.sinaburocast.common.annotation;

import java.lang.annotation.*;

/**
 * 引数のnullチェックを抑制するアノテーション
 *
 * @author tsukada
 *
 */
@Retention(RetentionPolicy.RUNTIME)
@Target(ElementType.METHOD)
@Documented
public @interface NullOk {
	int[] targetNo() default -1;
	int[] excludeNo() default -1;
}

