/**
 *
 */
package jp.agentec.sinaburocast.common.exception;

/**
 * 許可されていないor不正なリクエストによるエラー
 * @author arima
 */
public class IllegalOperationException extends ExpectedException {
    private static final long serialVersionUID = -5476512858985946838L;

	/**
	 * @param message
	 * @param code
	 */
	public IllegalOperationException(String message, String code) {
		super(message, code);
	}

	/**
	 * @param objects
	 */
	public IllegalOperationException(Object... objects) {
		super(objects);
	}

	/**
	 * @param message
	 * @param objects
	 */
	public IllegalOperationException(String message, Object... objects) {
		super(message, objects);
	}

	/**
	 * @param cause
	 * @param objects
	 */
	public IllegalOperationException(Throwable cause, Object... objects) {
		super(cause, objects);
	}
}
