package jp.agentec.sinaburocast.common.exception;

/**
 * 不正引数でメソッドを呼び出した際の例外
 *
 * @author tsukada
 *
 */
public class InvalidArgumentException extends SystemException {
	private static final long serialVersionUID = 1L;
	private Exception e;

	public InvalidArgumentException(String s, String code) {
		super(s, code);
	}

	public InvalidArgumentException(Exception e, String code) {
		super(e.toString(), code);
		this.e = e;
	}

	public Exception getE() {
		return e;
	}

}
