package jp.agentec.sinaburocast.entity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;

@Entity
@Table(name="m_postalcode")
public class Postalcode extends AbstractEntity {

	/**
	 *
	 */
	private static final long serialVersionUID = 1L;

	@Id
	@Column(name = "postalcode_id")
	public Integer postalcodeId;

	public String postalcode;

	public String prefecture;

	public String city;

	public String area;

    @ManyToOne
    @JoinColumn(name = "prefecture", referencedColumnName = "prefecture")
    public Prefecture prefecture1;

}
